> For the complete documentation index, see [llms.txt](https://docs.ergonode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ergonode.com/apps2/detailed-reference/event-endpoints.md).

# Event endpoints

React on events occurring in your App

There are several endpoints corresponding to events in the Manifest configuration.

{% hint style="info" %}
Each endpoint receives an appropriate `X-APP-TOKEN` HTTP header with JWT that allows [authentication](/apps2/detailed-reference/authentication.md#authentication-of-the-incoming-request) of the caller.
{% endhint %}

#### /consume/app\_installed

subscribed event: [app\_installed](/apps2/detailed-reference/manifest.md#app_installed)

example payload:

```json
{
  "name": "app_installed"
}
```

#### /consume/app\_uninstalled

subscribed event: [app\_uninstalled](#consume-app_uninstalled)

example payload:

```json
{
  "name": "app_uninstalled"
}
```

### Synchronization endpoints

Next to App events, there are multiple Synchronization events for which there are respective endpoints to be implemented.

[A full reference can be found here](#synchronization-endpoints)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ergonode.com/apps2/detailed-reference/event-endpoints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
